TICKIT_TERM_SET_INPUT_FD(3)

NAME
tickit_term_set_input_fd, tickit_term_get_input_fd - manage terminal input

SYNOPSIS
    #include <tickit.h>

    void tickit_term_set_input_fd(TickitTerm *tt, int fd);
    int tickit_term_get_input_fd(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_set_input_fd() associates an input file descriptor with the terminal instance. This file descriptor will be used by tickit_term_input_readable(3) to read more data from the terminal. The value -1 may be set to indicate an absence of a file descriptor. If no file descriptor is provided, input data may still be given by calling tickit_term_input_push_bytes(3).

tickit_term_get_input_fd() returns the currently associated input file descriptor, or -1 if none has been set.

After both an input and output method have been defined, it is recommended to call tickit_term_await_started(3) to wait for the terminal to be set up.

RETURN VALUE
tickit_term_set_input_fd() returns no value. tickit_term_get_input_fd() returns a file descriptor or -1.

SEE ALSO
tickit_term_new(3), tickit_term_await_started(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)